Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Class OverflowAndPriorityRouter.RoutingInfo

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.router.OverflowAndPriorityRouter.RoutingInfo

Enclosing class:
  OverflowAndPriorityRouter

    public static final class OverflowAndPriorityRouter.RoutingInfo

extends Object

Represents information about the routing for a particular contact. When this router processes a contact, it creates an instance of this class and associates it to the contact. This instance can be retrieved by using `contact.getAttributes().get (router)`, where `router` is the corresponding router.

Constructor Summary
`OverflowAndPriorityRouter.RoutingInfo(int numGroups)` Constructs a new routing information object for a system with `numGroups` agent groups.

Method Summary
`DequeueEvent` | `getDequeueEvent(int q)` Returns the event representing the associated contact in queue `q`.
`double[]` | `getNewRanksForContactSelectionArray()` Similar to `getRanksForAgentSelectionArray()`, for the ranks used by waiting queue selection.
`int` | `getNumQueues()` Returns the number of waiting queues the contact is in.
`double[]` | `getRanksForAgentSelectionArray()` Returns an array containing the ranks associated with this contact for the last agent selection.
`double[]` | `getRanksForContactSelectionArray()` Similar to `getRanksForAgentSelectionArray()`, for the ranks used by waiting queue selection.
`int` | `getStagesDone()` Returns the number of agent selections performed so far for this contact.
`void` | `oneStageDone()` Indicates that a new agent selection was just done for the contact.
`void` | `setDequeueEvent(int q, DequeueEvent ev)` Sets the dequeue event for queue `q` to `ev`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverflowAndPriorityRouter.RoutingInfo

    public OverflowAndPriorityRouter.RoutingInfo(int numGroups)

  Constructs a new routing information object for a system with `numGroups` agent groups.

  Parameters:
    `numGroups` - the number of agent groups.

Method Detail

### getRanksForAgentSelectionArray

    public double[] getRanksForAgentSelectionArray()

  Returns an array containing the ranks associated with this contact for the last agent selection. The first time this method is called, an array is created and returned. This array can then be filled with ranks.

  Returns:
    the ranks for agent selection.

### getRanksForContactSelectionArray

    public double[] getRanksForContactSelectionArray()

  Similar to `getRanksForAgentSelectionArray()`, for the ranks used by waiting queue selection.

  Returns:
    the ranks for waiting queues.

### getNewRanksForContactSelectionArray

    public double[] getNewRanksForContactSelectionArray()

  Similar to `getRanksForAgentSelectionArray()`, for the ranks used by waiting queue selection. This array is used when a new vector of ranks is generated, to be compared with the original vector of ranks giving the priorities of the contacts currently in queues.

  Returns:
    the ranks for waiting queues.

### getDequeueEvent

    public DequeueEvent getDequeueEvent(int q)

  Returns the event representing the associated contact in queue `q`. If the contact is not in this queue, this returns `null`.

  Parameters:
    `q` - the index of the tested queue.
  Returns:
    the dequeue event.

### setDequeueEvent

    public void setDequeueEvent(int q,
                                DequeueEvent ev)

  Sets the dequeue event for queue `q` to `ev`.

  Parameters:
    `q` - the index of the waiting queue.
    `ev` - the dequeue event.

### getNumQueues

    public int getNumQueues()

  Returns the number of waiting queues the contact is in.

### getStagesDone

    public int getStagesDone()

  Returns the number of agent selections performed so far for this contact.

### oneStageDone

    public void oneStageDone()

  Indicates that a new agent selection was just done for the contact.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.